#ifndef _SINGULAR_VECTOR_H
#define _SINGULAR_VECTOR_H


#include <stddef.h>
#include "singular.h"


typedef struct class_Vector Vector_t;
struct class_Vector {
	double* pBlock;
	size_t len;
	ptrdiff_t delta;

	double* ptr;
	void (*move)(struct class_Vector *p, ptrdiff_t delta);
	double (*operator)(struct class_Vector *p, size_t idx);
	Vector_t (*slice)(struct class_Vector *p, size_t start);
};


#endif
