#ifndef _SINGULAR_ROTATOR_H
#define _SINGULAR_ROTATOR_H

#include "Matrix.h"
#include "singular.h"


typedef struct class_Rotator Rotator_t;
struct class_Rotator {
	double elements[4];
	double (*operator)(struct class_Rotator *p, int i, int j);
	void (*applyFromLeftTo)(struct class_Rotator *p, Matrix_t rhs, int k);
	void (*applyFromRightTo)(struct class_Rotator *p, Matrix_t rhs, int k);
};


#endif
